package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 广告对象 fs_adv
 *
 * author fs
 * @date 2022-05-28
 */
public class FsAdv extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long  advId;

    /** 广告标题 */
    @Excel(name = "广告标题")
    private String advTitle;

    /** 广告图片 */
    @Excel(name = "广告图片")
    private String imageUrl;

    /** 广告地址 */
    @Excel(name = "广告地址")
    private String advUrl;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 状态(1:正常，0:禁用) */
    @Excel(name = "状态(1:正常，0:禁用)")
    private Long status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 广告类型 1首页顶部 2首页底部 */
    @Excel(name = "广告类型 1首页顶部 2首页底部")
    private Integer advType;

    /** 显示类型 1公众号链接 2 小程序页面地址 3文章内容 */
    @Excel(name = "显示类型 1公众号链接 2 小程序页面地址 3文章内容")
    private Integer showType;

    public void setAdvId(Long advId)
    {
        this.advId = advId;
    }

    public Long getAdvId()
    {
        return advId;
    }
    public void setAdvTitle(String advTitle)
    {
        this.advTitle = advTitle;
    }

    public String getAdvTitle()
    {
        return advTitle;
    }
    public void setImageUrl(String imageUrl)
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl()
    {
        return imageUrl;
    }
    public void setAdvUrl(String advUrl)
    {
        this.advUrl = advUrl;
    }

    public String getAdvUrl()
    {
        return advUrl;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setAdvType(Integer advType)
    {
        this.advType = advType;
    }

    public Integer getAdvType()
    {
        return advType;
    }
    public void setShowType(Integer showType)
    {
        this.showType = showType;
    }

    public Integer getShowType()
    {
        return showType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("advId", getAdvId())
            .append("advTitle", getAdvTitle())
            .append("imageUrl", getImageUrl())
            .append("advUrl", getAdvUrl())
            .append("content", getContent())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("advType", getAdvType())
            .append("showType", getShowType())
            .toString();
    }
}
